taichi108

ERROR 000837: The workspace is not the correct workspace type

Discussion created by taichi108 on Nov 20, 2012
Latest reply on Aug 20, 2018 by harshal.gharat
I have a very simple python script that does a compress on one of our enterprise GDB's. The script used to successfully run every night but is now receiving the following error:
"ERROR 000837: The workspace is not the correct workspace type"

There have been 2 recent changes to our environment - one of which must be a contributing factor to this script now erroring out. The first is upgrading from ArcGIS 10.0 SP4 to ArcGIS 10.1 SP1. The other is that we are now running this script on a new server where the old server had 32 bit processing, and the new server is 64 bit.

Here is the script that worked on our old server:

import arcgisscripting
gp = arcgisscripting.create()
gp.toolbox = "management"
gp.compress("Database Connections\sde_loader@bierstadt.sde")

Running the same script on the new server (only change being the db connection) errored out.

I tried updating the python code as follows:

import arcpy
arcpy.ClearWorkspaceCache_management()
arcpy.Compress_management("Database Connections\saxon2_bierstadt_sde_loader.sde")

This also received the same error (000837)

Any ideas on what may be causing this error would be much appreciated.

Gary

Outcomes